System.ServiceModel 4.0.0.0 System.Enum

Specifying or when the UseActiveDirectory attribute is set to true will cause an exception because Message Queuing (MSMQ) does not provide for Active Directory addressing when using SRMP. UseActiveDirectory is an attribute on the netMsmqBinding Element and the msmqIntegrationBinding element.

For more information about addressing queues, see Service Endpoints and Queue Addressing.

Indicates the protocol to be used in transferring messages between queue managers.

- Field
  4.0.0.0
  System.ServiceModel.QueueTransferProtocol

  Use the native MSMQ protocol.

- Field
  4.0.0.0
  System.ServiceModel.QueueTransferProtocol

  Use the Soap Reliable Messaging Protocol (SRMP).

- Field
  4.0.0.0
  System.ServiceModel.QueueTransferProtocol

  Use the Soap Reliable Messaging Protocol Secure (SRMPS) transport.